aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorThéophane Hufschmitt <theophane.hufschmitt@tweag.io>2023-08-07 11:23:19 +0200
committerThéophane Hufschmitt <theophane.hufschmitt@tweag.io>2023-08-08 11:55:09 +0200
commitafac001c39aadedcbe52ce45fbde8220834cf13f (patch)
tree9fdffc79a2cc42d7ab62fba70fdca3c226cb3b48 /tests
parent31a6e10fe52fd4265501553ca479c51b510137e1 (diff)
Test the parallel copy over ssh-ng
Regression test for https://github.com/NixOS/nix/issues/6253
Diffstat (limited to 'tests')
-rw-r--r--tests/local.mk1
-rw-r--r--tests/nix-copy-ssh-ng.sh18
2 files changed, 19 insertions, 0 deletions
diff --git a/tests/local.mk b/tests/local.mk
index 2afe91220..4edf31303 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -90,6 +90,7 @@ nix_tests = \
zstd.sh \
compression-levels.sh \
nix-copy-ssh.sh \
+ nix-copy-ssh-ng.sh \
post-hook.sh \
function-trace.sh \
flakes/config.sh \
diff --git a/tests/nix-copy-ssh-ng.sh b/tests/nix-copy-ssh-ng.sh
new file mode 100644
index 000000000..45e53c9c0
--- /dev/null
+++ b/tests/nix-copy-ssh-ng.sh
@@ -0,0 +1,18 @@
+source common.sh
+
+clearStore
+clearCache
+
+remoteRoot=$TEST_ROOT/store2
+chmod -R u+w "$remoteRoot" || true
+rm -rf "$remoteRoot"
+
+outPath=$(nix-build --no-out-link dependencies.nix)
+
+nix store ping --store "ssh-ng://localhost?store=$NIX_STORE_DIR&remote-store=$remoteRoot%3fstore=$NIX_STORE_DIR%26real=$remoteRoot$NIX_STORE_DIR"
+
+# Regression test for https://github.com/NixOS/nix/issues/6253
+nix copy --to "ssh-ng://localhost?store=$NIX_STORE_DIR&remote-store=$remoteRoot%3fstore=$NIX_STORE_DIR%26real=$remoteRoot$NIX_STORE_DIR" $outPath --no-check-sigs &
+nix copy --to "ssh-ng://localhost?store=$NIX_STORE_DIR&remote-store=$remoteRoot%3fstore=$NIX_STORE_DIR%26real=$remoteRoot$NIX_STORE_DIR" $outPath --no-check-sigs
+
+[ -f $remoteRoot$outPath/foobar ]